Package org.apache.tools.ant.util

## Class SecurityManagerUtil

- java.lang.Object
- - org.apache.tools.ant.util.SecurityManagerUtil

-     public final class SecurityManagerUtil
      extends java.lang.Object

  Since:
    Ant 1.10.14

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SecurityManagerUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `isSetSecurityManagerAllowed()` | {@return true if {@code SecurityManager} usage is allowed in current Java runtime. false otherwise}
    `static boolean` | `warnOnSecurityManagerUsage​(Project project)` | {@return true if {@code SecurityManager} usage should only be logged as a warning. false otherwise}

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecurityManagerUtil

          public SecurityManagerUtil()

  - ### Method Detail

    - #### isSetSecurityManagerAllowed

          public static boolean isSetSecurityManagerAllowed()

      {@return true if {@code SecurityManager} usage is allowed in current Java runtime. false otherwise}

    - #### warnOnSecurityManagerUsage

          public static boolean warnOnSecurityManagerUsage​(Project project)

      {@return true if {@code SecurityManager} usage should only be logged as a warning. false otherwise}